Package org.eclipse.mat.ui.internal.diagnostics

# Interface DiagnosticsAction

All Known Implementing Classes:
  `HotSpotJVMHeapDump`, `J9JVMBase`, `J9JVMHeapDump`, `J9JVMSystemDump`, `J9JVMThreadDump`, `Sleep`, `ThreadMXBeanDump`

public interface DiagnosticsAction
Performs a diagnostic action

## Method Summary

Modifier and Type
Method
Description
`void`
`run(DiagnosticsProgress progress)`
Run the diagnostic action

## Method Details

### run

void run(DiagnosticsProgress progress)
Run the diagnostic action

Parameters:
  `progress` - Use this to report progress and results to the user